#version 330 core

out vec4 fragmentColor;
in vec2 textureCoord;
uniform vec4 base_color;
uniform sampler2D uni_texture;

void main()
{
	vec4 temp_color = texture(uni_texture, textureCoord);
	fragmentColor = temp_color * (1 - base_color.a) + base_color * base_color.a;
	//fragmentColor = vec4(1.0, 0.0, 0.0, 0.0);
}
